Name:           swatchdog
Version:        3.2.4
Release:        2%{?dist}
Summary:        Tool for actively monitoring log files
Group:          Applications/File
License:        GPLv2+
URL:            http://swatch.sourceforge.net/
Source0:        https://sourceforge.net/projects/swatch/files/swatchdog/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(File::Tail)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Patch0:         0001-swatchdog-3.2.4-manpage-fix.patch

Source1:        swatchdog.init
Source2:        swatchdog.service
Source3:        swatchdog.logrotate
Source4:        swatchdog.sample.tar.gz
Source5:        swatchdog.action.pl

Obsoletes:      swatch <= 3.2.3

%description
The Simple WATCHer is an automated monitoring tool that is capable
of alerting system administrators of anything that matches the
patterns described in the configuration file, whilst constantly
searching logfiles using perl.

%prep
%setup -q
%patch0 -p1 -b .fix

%{?filter_from_requires: %filter_from_requires /^perl(Mail:Sendmail)$/d }
%{?filter_from_requires: %filter_from_requires /^perl(Sys:Hostname)$/d }
%{?perl_default_filter}

%{__gzip} -dc %{SOURCE4} | %{__tar} -xf -

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist  -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
%{__install} -d -m755 %{buildroot}%{_localstatedir}/log/%{name}
%{__install} -d -m755 %{buildroot}%{_libexecdir}/%{name}
%{__install} -d -m755 %{buildroot}%{_sysconfdir}/%{name}

%{__install} -c -m644 *.conf %{buildroot}%{_sysconfdir}/%{name}
%{__install} -D -m755 %{SOURCE5} %{buildroot}%{_libexecdir}/%{name}/action.pl
%if 0%{?fedora} >=23 || 0%{?rhel} >= 7
%{__install} -D -m755 %{SOURCE1} %{buildroot}%{_libexecdir}/%{name}/swatchdog.init
%{__install} -D -m644 %{SOURCE2} %{buildroot}%{_usr}/lib/systemd/system/swatchdog.service
%else
%{__install} -D -m755 %{SOURCE1} %{buildroot}%{_initrddir}/swatchdog
%endif

%check
make test

%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT COPYING KNOWN_BUGS README examples/
%{_bindir}/swatchdog
%{_sysconfdir}/swatchdog/*.conf
%if 0%{?rhel} >= 7 || 0%{?fedora}
/usr/lib/systemd/system/swatchdog.service
%{_libexecdir}/%{name}/swatchdog.init
%else
%{_initrddir}/swatchdog
%endif
%{_libexecdir}/%{name}/action.pl
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*
%{perl_vendorlib}/Swatchdog/
%{perl_vendorlib}/auto/Swatchdog/

%changelog
* Fri Feb 10 2017 momo-i <webmaster@momo-i.org> - 3.2.4-2
- Rename swatch to swatchdog
- Rebase fix manpage patch

* Fri Feb 10 2017 momo-i <webmaster@momo-i.org> - 3.2.4-1
- Update to 3.2.4
